AsyncResult (Axis API)
Keywords: org.apache.axis.client.async.AsyncResult class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client.async
Class AsyncResult

    java.lang.Object
      org.apache.axis.client.async.AsyncResult

All Implemented Interfaces:
  IAsyncResult, java.lang.Runnable

public class AsyncResult
extends java.lang.Object
implements IAsyncResult, java.lang.Runnable

Access the results of the Async call

Author:
  Davanum Srinivas (dims@yahoo.com)

Constructor Summary
`AsyncResult(AsyncCall ac, QName opName, java.lang.Object[] params)` Constructor AsyncResult

Method Summary
`void` | `abort()` Method abort
`java.lang.Throwable` | `getException()` Method getException
`java.lang.Object` | `getResponse()` Method getResponse
`Status` | `getStatus()` Method getStatus
`void` | `run()` Method run
`void` | `waitFor(long timeout)` Method waitFor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncResult

    public AsyncResult(AsyncCall ac,
                       QName opName,
                       java.lang.Object[] params)

  Constructor AsyncResult

Parameters:
  `ac` -
  `opName` -
  `params` -

Method Detail

### abort

    public void abort()

  Method abort

  Specified by:
    `abort` in interface `IAsyncResult`

### getStatus

    public Status getStatus()

  Method getStatus

  Specified by:
    `getStatus` in interface `IAsyncResult`
  Returns:

### waitFor

    public void waitFor(long timeout)
                 throws java.lang.InterruptedException

  Method waitFor

  Specified by:
    `waitFor` in interface `IAsyncResult`
  Parameters:
    `timeout` -
  Throws:
    `java.lang.InterruptedException`

### getResponse

    public java.lang.Object getResponse()

  Method getResponse

  Specified by:
    `getResponse` in interface `IAsyncResult`
  Returns:

### getException

    public java.lang.Throwable getException()

  Method getException

  Specified by:
    `getException` in interface `IAsyncResult`
  Returns:

### run

    public void run()

  Method run

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.